@keyframes fadeIn
  from
    opacity: 0
  to
    opacity: 1

.fadeIn
  animation-name: fadeIn

@keyframes fadeInLeft 
  from
    opacity: 0
    transform: translate3d(-100%, 0, 0)

  to
    opacity: 1
    transform: translate3d(0, 0, 0)

.fadeInLeft
  animation-name: fadeInLeft

@keyframes fadeInRight
  from
    opacity: 0
    transform: translate3d(100%, 0, 0)

  to
    opacity: 1
    transform: translate3d(0, 0, 0)

.fadeInRight
  animation-name: fadeInRight

@keyframes fadeInDown
  from
    opacity: 0
    transform: translate3d(0, -100%, 0)

  to
    opacity: 1
    transform: translate3d(0, 0, 0)

.fadeInDown
  animation-name: fadeInDown

@keyframes fadeInUp
  from
    opacity: 0
    transform: translate3d(0, 100%, 0)

  to
    opacity: 1
    transform: translate3d(0, 0, 0)

.fadeInUp
  animation-name: fadeInUp